Problem with ERP 6.0 EHP 6 Update

This is a discussion on “Problem with ERP 6.0 EHP 6 Update”issue
within SAP

Hello Maxdb experts!

 

I have a problem with an upgrade to ERP 6.0 EHP6. With many trouble i’ve installed maxdb 7.9.07.14. Here is the sdbregview text:

 

sapides6:gi6adm 59> sdbregview -l
Installation: Global    /sapdb/programs
Global Listener                7.9.07.14    valid    64 bit
Installation Compatibility     7.9.07.14    valid    64 bit
Installer                      7.9.07.14    valid
SAP Utilities Compatibility    7.9.07.14    valid    64 bit

Installation: Legacy    /sapdb/programs
DB Analyzer      /sapdb/programs    7.6.00.35     valid    64 bit
Fastload API     /sapdb/programs    7.6.06.22     valid    64 bit
JDBC             /sapdb/programs    7.6.05.06     valid
Loader           /sapdb/programs    7.6.06.22     valid    64 bit
Messages         /sapdb/programs    MSG 0.8215    valid
ODBC             /sapdb/programs    7.6.06.22     valid    64 bit
PCR 7300         /sapdb/programs    7.3.00.60     valid
PCR 7301         /sapdb/programs    7.3.01.22     valid
PCR 7500         /sapdb/programs    7.5.00.52     valid    64 bit
Redist Python    /sapdb/programs    7.6.06.22     valid    64 bit
SQLDBC           /sapdb/programs    7.6.06.22     valid    64 bit
SQLDBC 76        /sapdb/programs    7.6.06.22     valid    64 bit

Installation: GI6    /sapdb/GI6/db
Base                7.9.07.14      valid    64 bit
DB Analyzer         7.9.07.14      valid    64 bit
Database Kernel     7.9.07.14      valid    64 bit
Fastload API        7.9.07.14      valid    64 bit
JDBC                7.6.06.09      valid
Loader              7.9.07.14      valid    64 bit
Messages            MSG 0.10302    valid
ODBC                7.9.07.14      valid    64 bit
Redist Python       7.9.07.14      valid    64 bit
SAP Utilities       7.9.07.14      valid    64 bit
SQLDBC              7.9.07.14      valid    64 bit
SQLDBC 76           7.6.06.22      valid    64 bit
SQLDBC 77           7.9.07.14      valid    64 bit
Server Utilities    7.9.07.14      valid    64 bit

 

Everthing seems to be fine for me.

 

For installing EHP 6 there is a new tool from SAP, the SUM (Software Update Manager, the new EHPI). In Phase Prep_init/Checkprof_ini  i get the following error:

 

ERROR: The new SAP tools in /usr/sap/GI6/SUM/abap/exe cannot connect to your database.

Possible reasons are:

 

- Environment variables are not properly set for the version of the
database client which is used by the new tools.

 

- Required database libraries are not accessible or cannot be found neither
through a compiled-in path nor through explicit search via the
shared library path.

 

- Auxiliary files such as language files etc. are not compatible with
this version of the database client.

 

Please check database / OS specific notes referenced in the manual for more help.

 

The log file /usr/sap/GI6/SUM/abap/log/DBCONNCHK.LOG contains more
details about the failure.

 

Here ist DBCONNCHK.LOG:

 

4 ETW000 R3trans version 6.22 (release 720 – 18.11.11 – 11:29:00).

4 ETW000 unicode enabled version

4 ETW000 ===============================================

4 ETW000

4 ETW000 date&time   : 04.06.2012 – 13:24:12

4 ETW000 control file: <no ctrlfile>

4 ETW000 R3trans was called as follows: R3trans -d -w /usr/sap/GI6/SUM/abap/log/DBCONNCHK.LOG

4 ETW000  trace at level 2 opened for a given file pointer

4 ETW000  [     dev trc,00000]  Mon Jun  4 13:24:12 2012                                                  70  0.000070

4 ETW000  [     dev trc,00000]  db_con_init called                                                        20  0.000090

4 ETW000  [     dev trc,00000]  set_use_ext_con_info(): rsdb/ssfs_connect not set => ssfs not used        24  0.000114

4 ETW000  [     dev trc,00000]  determine_block_commit: no con_hdl found as blocked for con_name = R/3

4 ETW000                                                                                                  22  0.000136

4 ETW000  [     dev trc,00000]  create_con (con_name=R/3)                                                 18  0.000154

4 ETW000  [     dev trc,00000]  Loading DB library ‘/usr/sap/GI6/SUM/abap/exe/dbsdbslib.so’ …           38  0.000192

 

 

4 ETW000  [    dlux.c  ,00000]  *** ERROR => DlLoadLib()==DLENOACCESS – dlopen(“/usr/sap/GI6/SUM/abap/exe/dbsdbslib.so”) FAILED

4 ETW000                          “libSQLDBC77.so: cannot open shared object file: No such file or directory”

4 ETW000                                                                                                 209  0.000401

 

4 ETW000  [    dbcon.c ,00000]  *** ERROR => Couldn’t load library ‘/usr/sap/GI6/SUM/abap/exe/dbsdbslib.so’

4 ETW000                                                                                                  59  0.000460

2EETW169 no connect possible: “maybe someone set invalid values for DIR_LIBRARY (‘/usr/sap/GI6/SUM/abap/exe’) or dbms_type (‘ADA’)”

 

 

 

It tried so many thing but found no solution for this error:

 

When i execute R3trans in the Update Kernel direktory (sap/Gi6/SUM/abap/exe) i got this error in trans-log:

(insteadt of

 

*** ERROR => DlLoadLib()==DLENOACCESS – dlopen(“/usr/sap/GI6/SUM/abap/exe/dbsdbslib.so”) FAILED

4 ETW000                          “libSQLDBC77.so: cannot open shared object file: No such file or directory”

4 ETW000                                                                                                 209  0.000401

 

4 ETW000  [    dbcon.c ,00000]  *** ERROR => Couldn’t load library ‘/usr/sap/GI6/SUM/abap/exe/dbsdbslib.so’

 

from the DBCONNCHK):

 

 

4 ETW000  [    dbcon.c ,00000]  *** ERROR => Version mismatch between kernel (720.00) and DBSL shared library (700.08)

 

Does anyone of you has an idea what to do now?

the log says that the DIR_LIBRARY Path should be “/usr/sap/GI6/SUM/abap/exe“. But it is /usr/sap/GI6/SYS/exe/run. Shall i change it? I haven’t a good feeling when changing this Path



SAP Consultant, needs help regarding  
Problem with ERP 6.0 EHP 6 UpdateHelp!

More related issues





Browse more questions like this in module: Uncategorized


Question filed under SAP Module: Uncategorized Tags: ,



Search...


Disqus this Question






Select Module

sap forum